# Transmission Image Multimédia : Thomas Mertz

**TP** : Les représentations vectorielles, le format Postscript

### Contenu
Vous trouverez 7 fichiers .ps correspondant aux différentes questions du TP. Il est possible de visualiser ces images à l'aide de ghostview par exemple.

 - Le premier fichier "toto.ps" correspond simplement à la prise en main du langage Postscript.
 - Les fichiers "animal.ps" et "animal_procedure.ps" trace le même dessin, mais dans le second cas les procédures postscript sont utilisés.
 - "carre_tournant.ps", "rosace.ps" et "tableau.ps" sont des fichiers utilisant des transformations affines (translation, rotation, homothétie ...)
 - Enfin "echiquier.ps" utilise toutes les techniques vues précédemment pour créer les bases d'un échiquier.

### Commentaires
##### Exercice 1 :
Pour qu'un objet soit correctement validé il est nécessaire soit de le **stroke** (tracé) soit **fill** (remplit).

La commande **closepath** va relier le premier point au dernier point placé, ce qui permet de fermer la figure.

Il est possible d'entourer l'image d'un cadre noir en placant créant un rectangle tout autour et en choisissant une épaisseur à l'aide de la commande **setlinewitdth**. (on peut s'assurer de la couleur noir du cadre avec la commande ***0 0 0 setrgbcolor***)

Les commandes **lineto** et **rlineto** sont similaires (relier un point à un second donné en paramètre). La différence vient du calcul des coordonnées : la première est en valeur absolue (par rapport à la page), la seconde est relative au point précédemment placé.

##### Exercice 2 :
Le dessin pour cet exercice (animal_procedure.ps) est réalisé en utilisant des procédures : création de cercle, de triangle. Le code est simplifié car ces fonctions ne demandent que quelques paramètres pour fonctionner (tel que les coordonnées des points). Elles pourront être réutilisées plus tard.

##### Exercice 3 :
La commande **translate** permet de déplacer l'origine du repère sur l'image. Ma commande **rotate** fait tourner l'image autour de l'origine.

L'image "rosace.ps" est réalisé en placant l'origine au centre du cercle et en tournant l'image pour y tracer un arc de cercle.

Le fichier "carre_tournant.ps" est intéressant car en utilisant 2 procédures, des boucles, on crée un motif de plus en plus petit (commande **scale**).

##### Exercice 4 :
Pour la réalisation d'un échiquier, j'ai créé une ligne sur deux des casses noires/blanches. Avant de retourner de 180° la page puis faire les lignes intermédiaires.

Des procédures ont été créer pour placer des points et des tours sur l'échiquier. On se déplace tout d'abord sur la case souhaitée (**translate**) puis on trace un point (**cpawn**) ou une tour (**crook**) en précisant la couleur des pièces.

Il aurait été intéressant de placer toutes les pièces sur l'échiquier, mais la création d'un symbole ressemblant n'est finalement pas si simple.